/***************************************************************************
 *   Copyright (C) 2004 by Brent Kelly                                     *
 *   hornedgod@hotmail.com                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KLEDSYSTEMTRAY_H
#define KLEDSYSTEMTRAY_H

#include <ksystemtray.h>
#include <qpixmap.h>
#include "kledconfigwindow.h"

/**
@author Brent Kelly
*/
class KLedSystemTray : public KSystemTray
{
    Q_OBJECT
public:
    
    KLedSystemTray();
    ~KLedSystemTray();

    int m_PrevPixStatus;
    
    unsigned long m_PrevRX;
    unsigned long m_PrevTX;
    bool m_bDead;
    
    /* Icons */
    QPixmap m_xxxx;
    QPixmap m_TXxx;
    QPixmap m_xxRX;
    QPixmap m_TXRX;    
    QPixmap m_imgDEAD;    

    int setStatus( unsigned long received, unsigned long transmitted );
    void setDead(const char *message);
    
private slots:
    void slot_configureKNetworkLED();
    
signals:
    void signal_SysTrayDoubleClicked();
    
    
protected:
    virtual void mouseDoubleClickEvent( QMouseEvent *me );
    virtual void enterEvent ( QEvent *event );
    KLedConfigWindow *kledconfigwindow;
   
};

#endif
