/***************************************************************************
 *   Copyright (C) 2004 by Brent Kelly                                     *
 *   hornedgod@hotmail.com                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef _KNETWORKLED_H_
#define _KNETWORKLED_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif
#include <kapplication.h>
#include <kmainwindow.h>
#include <kledsystemtray.h>
#include "kledwindow.h"

/**
 * @short Application Main Window
 * @author Brent Kelly <hornedgod@hotmail.com>
 * @version 0.1
 */
class KNetworkLed : public KApplication {
    Q_OBJECT
public:
    
    KNetworkLed();
    virtual ~KNetworkLed();
    
    KLedSystemTray *m_kledsystemtray;
    KLedwindow *m_kledwindow;
    
    char**  split_on_blank (char* line);
private:
    int m_CurrentPollRate;
    QTimer *m_PollTimer;
    
protected slots:
    int slot_PollForActivity();
    void slot_SysTrayDoubleClicked();
    void slot_SysTrayQuit();
};

#endif // _KNETWORKLED_H_
