/***************************************************************************
 *   Copyright (C) 2004 by Brent Kelly                                     *
 *   hornedgod@hotmail.com                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "knetworkled.h"

#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>
#include <dcopclient.h>

static const char description[] =
    I18N_NOOP("A KDE network activity monitor");

static const char version[] = "0.3";

static KCmdLineOptions options[] =
{
//    { "+[URL]", I18N_NOOP( "Document to open." ), 0 },
    KCmdLineLastOption
};

int main(int argc, char **argv)
{
    
    
    KAboutData about("knetworkled", I18N_NOOP("knetworkled"), version, description,
                     KAboutData::License_GPL, "(C) 2004 Brent Kelly", 0, 0, "hornedgod@hotmail.com");
    about.addAuthor( "Brent Kelly", 0, "hornedgod@hotmail.com" );
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions( options );
    KNetworkLed app;
    
    DCOPClient *client  = app.dcopClient();
    client->attach();
    client->registerAs(kapp->name());
    
    //knetworkled *mainWin = 0;

    /* bkelly: Not really catching on to what's going on here:
    if (app.isRestored())
    {
        RESTORE(knetworkled);
    }
    else
    {
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

        /// @todo do something with the command line args here

        mainWin = new knetworkled;
        app.setMainWidget( mainWin );
        mainWin->show();

        args->clear();
    }
    */

    // mainWin has WDestructiveClose flag by default, so it will delete itself.
    return app.exec();
}

